Name:           python-redis-benchmarks-specification
Version:        0.1.257
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The Redis benchmarks specification describes the cross-language/tools requirements and expectations to foster performance and observability standards around redis related technologies. Members from both industry and academia, including organizations and individuals are encouraged to contribute.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/redis-benchmarks-specification/
Source:         %{pypi_source redis_benchmarks_specification}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'redis-benchmarks-specification' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-redis-benchmarks-specification
Summary:        %{summary}

%description -n python3-redis-benchmarks-specification %_description


%prep
%autosetup -p1 -n redis_benchmarks_specification-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-redis-benchmarks-specification -f %{pyproject_files}


%changelog
%autochangelog